# pistarlog2ws

**pistarlog2ws** is a small Python script that provides a websocket output of the radio log of a Pi-Star to be used by L.A.S.S.I.E..

## Installation

### Prerequisites

You need [Pi-Star](https://www.pistar.uk/) installed and configured to the frequency of your repeater output on a Raspberry Pi with MMDVM HAT. You also need to enable SSH in the configuration of the Pi-Star.

*Pi-Star's disk is read-only by default, so you have to enable read-write with ```rpi-rw```.*

Clone the repository into the pi-star home and run the install script:

```shell
rpi-rw
git clone https://git.furcom.org/dingo/pistarlog2ws
cd pistarlog2ws
./install.sh
```

This should install and enable the websocket service and make the necessary adjustments to the firewall.

## Test

You can test the installation from another machine in the network using ```nc``` or ```wscat```.

```shell
nc -zv <IP-ADDRESS OF PI-STAR> 8765
```

```shell
wscat -c ws://<IP-ADDRESS OF PI-STAR>:8765 --no-color
```

